Partially update a facilitator
PATCH
/api/facilitators/{facilitatorid}
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Patch, RequestUri = new Uri("https://api.eventpoint.io/api/facilitators/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"), Headers = { { "x-api-key", "<x-api-key>" }, }, Content = new StringContent("{ \"name\": \"example\", \"firstName\": \"example\", \"lastName\": \"example\", \"email\": \"example\", \"contactEmail\": \"example\", \"description\": \"example\", \"contactInformation\": \"example\", \"url\": \"example\", \"phone\": \"example\", \"company\": \"example\", \"jobTitle\": \"example\", \"tags\": \"example\", \"externalId\": \"example\", \"facilitatorKind\": \"Person\", \"descriptorIds\": [ \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\" ], \"meta\": \"example\", \"event\": { \"eventId\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"facilitatorTypeIds\": [ \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\" ], \"itemOrder\": 1 } }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://api.eventpoint.io/api/facilitators/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PATCH', headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'}, body: '{"name":"example","firstName":"example","lastName":"example","email":"example","contactEmail":"example","description":"example","contactInformation":"example","url":"example","phone":"example","company":"example","jobTitle":"example","tags":"example","externalId":"example","facilitatorKind":"Person","descriptorIds":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"],"meta":"example","event":{"eventId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","facilitatorTypeIds":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"],"itemOrder":1}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.eventpoint.io/api/facilitators/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Content-Type: application/json' \ --header 'x-api-key: <x-api-key>' \ --data '{ "name": "example", "firstName": "example", "lastName": "example", "email": "example", "contactEmail": "example", "description": "example", "contactInformation": "example", "url": "example", "phone": "example", "company": "example", "jobTitle": "example", "tags": "example", "externalId": "example", "facilitatorKind": "Person", "descriptorIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "meta": "example", "event": { "eventId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "facilitatorTypeIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "itemOrder": 1 } }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”facilitatorid
required
string format: uuid
The facilitator identifier.
Request Bodyrequired
Section titled “Request Bodyrequired”Only the facilitator values that should change.
Editable facilitator values accepted by create and partial-update operations.
object
name
null | string
firstName
null | string
lastName
null | string
email
null | string
contactEmail
null | string
description
null | string
contactInformation
null | string
url
null | string
phone
null | string
company
null | string
jobTitle
null | string
tags
null | string
externalId
null | string
descriptorIds
Array<string> | null
meta
null | object
event
An optional event assignment applied with a facilitator mutation.
object
eventId
string format: uuid
facilitatorTypeIds
Array<string> | null
itemOrder
null | integer | string format: int32
Editable facilitator values accepted by create and partial-update operations.
object
name
null | string
firstName
null | string
lastName
null | string
email
null | string
contactEmail
null | string
description
null | string
contactInformation
null | string
url
null | string
phone
null | string
company
null | string
jobTitle
null | string
tags
null | string
externalId
null | string
descriptorIds
Array<string> | null
meta
null | object
event
An optional event assignment applied with a facilitator mutation.
object
eventId
string format: uuid
facilitatorTypeIds
Array<string> | null
itemOrder
null | integer | string format: int32
Editable facilitator values accepted by create and partial-update operations.
object
name
null | string
firstName
null | string
lastName
null | string
email
null | string
contactEmail
null | string
description
null | string
contactInformation
null | string
url
null | string
phone
null | string
company
null | string
jobTitle
null | string
tags
null | string
externalId
null | string
descriptorIds
Array<string> | null
meta
null | object
event
An optional event assignment applied with a facilitator mutation.
object
eventId
string format: uuid
facilitatorTypeIds
Array<string> | null
itemOrder
null | integer | string format: int32
Responses
Section titled “Responses”OK
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
userId
null | string format: uuid
personId
null | string format: uuid
name
null | string
firstName
null | string
lastName
null | string
email
null | string
contactEmail
null | string
description
null | string
url
null | string
phone
null | string
contactInformation
null | string
jobTitle
null | string
company
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
tags
null | string
externalId
null | string
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
descriptors
null | string
facilitatorKind
meta
null | object
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
rank
null | number | string format: double
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
userId
null | string format: uuid
personId
null | string format: uuid
name
null | string
firstName
null | string
lastName
null | string
email
null | string
contactEmail
null | string
description
null | string
url
null | string
phone
null | string
contactInformation
null | string
jobTitle
null | string
company
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
tags
null | string
externalId
null | string
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
descriptors
null | string
facilitatorKind
meta
null | object
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
rank
null | number | string format: double
Example
{ "facilitatorKind": "Person"}object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
userId
null | string format: uuid
personId
null | string format: uuid
name
null | string
firstName
null | string
lastName
null | string
email
null | string
contactEmail
null | string
description
null | string
url
null | string
phone
null | string
contactInformation
null | string
jobTitle
null | string
company
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
tags
null | string
externalId
null | string
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
descriptors
null | string
facilitatorKind
meta
null | object
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
rank
null | number | string format: double
Example
{ "facilitatorKind": "Person"}Bad Request
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "errors": { "additionalProperty": [ "example" ] }}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "errors": { "additionalProperty": [ "example" ] }}Forbidden
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}